OGRE: Ogre::DescriptorSetUav::BufferSlot Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Ogre::DescriptorSetUav::BufferSlot Struct Reference

`#include <OgreDescriptorSetUav.h>`

## Public Member Functions
bool | operator!= (const BufferSlot &other) const
bool | operator< (const BufferSlot &other) const

## Static Public Member Functions
static BufferSlot | makeEmpty (void)

## Public Attributes
ResourceAccess::ResourceAccess | access
| Access. More...
UavBufferPacked * | buffer
| UAV buffer to bind. More...
size_t | offset
| 0-based offset. More...
size_t | sizeBytes
| Size in bytes to bind the tex buffer. More...

## Member Function Documentation

## ◆ makeEmpty()

static BufferSlot Ogre::DescriptorSetUav::BufferSlot::makeEmpty | ( | void |  | ) |
| inlinestatic

## ◆ operator!=()

bool Ogre::DescriptorSetUav::BufferSlot::operator!= | ( | const BufferSlot & | other | ) | const
| inline

References access, buffer, offset, and sizeBytes.

## ◆ operator<()

bool Ogre::DescriptorSetUav::BufferSlot::operator< | ( | const BufferSlot & | other | ) | const
| inline

References access, buffer, offset, and sizeBytes.

## Member Data Documentation

## ◆ access

ResourceAccess::ResourceAccess Ogre::DescriptorSetUav::BufferSlot::access

Access.

Should match what the shader expects. Needed by Ogre to resolve memory barrier dependencies.

Referenced by operator!=(), and operator<().

## ◆ buffer

UavBufferPacked* Ogre::DescriptorSetUav::BufferSlot::buffer

UAV buffer to bind.

Referenced by operator!=(), and operator<().

## ◆ offset

size_t Ogre::DescriptorSetUav::BufferSlot::offset

0-based offset.

It is possible to bind a region of the buffer. Offset needs to be aligned. You can query the RS capabilities for the alignment, however 256 bytes is the maximum allowed alignment per the OpenGL specification, making it a safe bet to hardcode.

Referenced by operator!=(), and operator<().

## ◆ sizeBytes

size_t Ogre::DescriptorSetUav::BufferSlot::sizeBytes

Size in bytes to bind the tex buffer.

When zero, binds from offset until the end of the buffer.

Referenced by operator!=(), and operator<().

The documentation for this struct was generated from the following file:

- OgreDescriptorSetUav.h